Package edu.fiu.jtlex

# Class LInguisticEvent

java.lang.Object
edu.fiu.jtlex.LInguisticEvent

All Implemented Interfaces:
  `IANode`, `ILingusticEvent`

    public class LInguisticEvent
    extends java.lang.Object
    implements ILingusticEvent

Author:
  arada002

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from interface edu.fiu.jtlex.ILingusticEvent

  `ILingusticEvent.EventAspect, ILingusticEvent.EventIntent, ILingusticEvent.EventType`

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `LInguisticEvent​(int id, java.lang.String lemma, java.lang.String text, int begin, int end, ILingusticEvent.EventType eventType, ILingusticEvent.EventIntent eventIntent)` | Creates a new Linguistic Event with the specified information.

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `int` | `getBegin()` | gets the word’s first character position within text
  `int` | `getEnd()` | gets the word’s last character position within text
  `ILingusticEvent.EventIntent` | `getEventIntent()` | an enum that represent the event intent.
  `ILingusticEvent.EventType` | `getEventType()` | An event type that can be REPORT
  `int` | `getId()` | id of the anansi; may not be negative
  `java.lang.String` | `getLemma()` | indicates the ‘head’ or the main term in the noun phrase.
  `edu.fiu.jtlex.data.ILink` | `getSLink()` | SLINK relation linking the Intentional Event and the main event
  `java.lang.String` | `getText()` | gets the textual content of the node
  `edu.fiu.jtlex.data.IEvent` | `toEvent()` | Related event instance

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### LInguisticEvent

    public LInguisticEvent​(int id, java.lang.String lemma, java.lang.String text, int begin, int end, ILingusticEvent.EventType eventType, ILingusticEvent.EventIntent eventIntent)
    Creates a new Linguistic Event with the specified information.
    Parameters:
      `id` - id of the Linguistic Event Number generated as unique identity for the node within the graph
      `lemma` - head of the main term in the noun phrase
      `text` - the textual content of the node
      `begin` - word’s first character position within text
      `end` - word’s last character position within text
      `eventType` - event type, which maps to class in TimeML
      `eventIntent` - event intent, which maps to class in TimeML

- ## Method Details

  - ### getId

    public int getId()
    Description copied from interface: `ILingusticEvent`
    id of the anansi; may not be negative
    Specified by:
      `getId` in interface `IANode`
    Specified by:
      `getId` in interface `ILingusticEvent`

  - ### getLemma

    public java.lang.String getLemma()
    Description copied from interface: `ILingusticEvent`
    indicates the ‘head’ or the main term in the noun phrase.
    Specified by:
      `getLemma` in interface `ILingusticEvent`

  - ### getText

    public java.lang.String getText()
    Description copied from interface: `ILingusticEvent`
    gets the textual content of the node
    Specified by:
      `getText` in interface `ILingusticEvent`

  - ### getBegin

    public int getBegin()
    Description copied from interface: `ILingusticEvent`
    gets the word’s first character position within text
    Specified by:
      `getBegin` in interface `ILingusticEvent`

  - ### getEnd

    public int getEnd()
    Description copied from interface: `ILingusticEvent`
    gets the word’s last character position within text
    Specified by:
      `getEnd` in interface `ILingusticEvent`

  - ### getEventType

    public ILingusticEvent.EventType getEventType()
    Description copied from interface: `ILingusticEvent`
    An event type that can be REPORT
    Specified by:
      `getEventType` in interface `ILingusticEvent`

  - ### getEventIntent

    public ILingusticEvent.EventIntent getEventIntent()
    Description copied from interface: `ILingusticEvent`
    an enum that represent the event intent. It can be ACHIEVEMENT, I_STATE, NEGATIVE_I_STATE, POSITIVE_ACTION, or NEGATIVE_ACTION
    Specified by:
      `getEventIntent` in interface `ILingusticEvent`

  - ### toEvent

    public edu.fiu.jtlex.data.IEvent toEvent()
    Description copied from interface: `ILingusticEvent`
    Related event instance
    Specified by:
      `toEvent` in interface `ILingusticEvent`

  - ### getSLink

    public edu.fiu.jtlex.data.ILink getSLink()
    Description copied from interface: `ILingusticEvent`
    SLINK relation linking the Intentional Event and the main event
    Specified by:
      `getSLink` in interface `ILingusticEvent`